
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

MouseEvents = {}
MouseEvents.__index = MouseEvents

-- =======================================================================

function MouseEvents.new()

	local new = {}
	setmetatable(new, MouseEvents)

	new.onMouseMove = Notice.new{ methodName = 'OnMouseMove' }
	new.onMouseButtonPress = Notice.new{ methodName = 'OnMouseButtonPress' }
	new.onMouseButtonRelease = Notice.new{ methodName = 'OnMouseButtonRelease' }
	
	return new

end

