
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local achievement = Achievement:NewClass
{
	ID = '_004',
	class = AchievementClass.Aspiration,
	values = { amount = 1500000 }
}

-- =======================================================================

achievement.reactions[AchievementImpulse.Credits] = function (self, context)

	local amount = self.values['amount']
	if credits:GetBalance() > amount then

		self:Complete()	

	end

end

-- =======================================================================

function achievement:GetDescription()

	local amount = self.values['amount']
	return strFormat("Have a ¥%d balance", amount)

end

