
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local builder = CharacterBuilder:NewClass
{
	ID = 'shadowrunner:shadowrunner',
	role = 'shadowrunner'
}

-- =======================================================================

-- [Base Character builder override]
function builder:Construct()

	local character = self.character

	character:NewEvent('shadowrunner:housebreak:start', {})
	character:NewEvent('shadowrunner:housebreak:success', {})
	character:NewEvent('shadowrunner:housebreak:fail', {})

	character:NewEvent('shadowrunner:weapon-source-code:start', {})
	character:NewEvent('shadowrunner:weapon-source-code:success', {})
	character:NewEvent('shadowrunner:weapon-source-code:fail', {})

	character:NewEvent('shadowrunner:introduction:shadowrunner', {})
	character:NewEvent('shadowrunner:introduction:data-broker', {})
	
	character:NewEvent('common:relationship:deteriorate-with-time', { mod = random:Value(0.15, 0.25) })
	character:NewEvent('common:relationship:leave-when-low', {})

end

