
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local effect = Effect:NewClass
{ 
	ID = 'siren',
	events = 
	{
		{ ID = 'alert', time = 0.25 },
		{ ID = 'reveal', time = 0.45 }
	}
}

-- =======================================================================

function effect:Draw (screenX, screenY)

	local color = Color.newFromHex('FF2400')
	color:SetAsLoveColor(128)

	love.graphics.setLineWidth(1)
	
	local radius = 18 * (1 - math.min(self.time / 0.65, 1))
	love.graphics.circle('fill', screenX, screenY, radius, 4)

end
