
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local effect = Effect:NewClass
{ 
	ID = 'white-lotus-_-center',
	events = 
	{
		{ ID = 'trace', time = 0.5 },
		{ ID = 'tokens', time = 0.75 }
	}
}

-- =======================================================================

function effect:Draw (screenX, screenY)

	-- ===
	-- TEMP
	-- ===

	if self.sprite == nil then

		self.sprite = love.graphics.newImage('assets/sprites/modules/lotus_04.png')

	end

	local spriteSizeX = self.sprite:getWidth()
	local spriteSizeY = self.sprite:getHeight()

	local sizeX = 256
	local sizeY = 256

	local time = self.time

	local rot = time * math.pi / 8
	local alpha = 192 - math.min(time / 1, 1) * 192
	local b = 232
	local white = math.max(232 - time * 232, 0)

	love.graphics.setColor(white, white, b, alpha)
	love.graphics.draw(self.sprite, screenX, screenY, rot, sizeX/spriteSizeX, sizeY/spriteSizeY, spriteSizeX/2, spriteSizeY/2)

end

