
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local effect = Effect:NewClass
{ 
	ID = 'white-lotus-_-leaves',
	events = 
	{
		{ ID = 'alert', time = 0.25 }
	}
}

-- =======================================================================

function effect:Draw (screenX, screenY)

	if self.sprite == nil then

		self.sprite = love.graphics.newImage('assets/sprites/modules/lotus_03.png')

	end

	local spriteSizeX = self.sprite:getWidth()
	local spriteSizeY = self.sprite:getHeight()

	local sizeX = 92
	local sizeY = 92

	local time = self.time

	local rot = time * math.pi / 8
	local alpha = 232 - math.min(time / 1, 1) * 64

	love.graphics.setColor(232, 32, 32, alpha)
	love.graphics.draw(self.sprite, screenX, screenY, rot, sizeX/spriteSizeX, sizeY/spriteSizeY, spriteSizeX/2, spriteSizeY/2)

end
