
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local evasion = Evasion:NewClass
{
	ID = 'tokens',
	active = true
}

-- =======================================================================

function evasion:CanExecute()

	local tokens = self.values['tokens']
	return networkScreen:GetRun():GetTokens():CanSpend(tokens)

end

-- =======================================================================

function evasion:Execute()

	local tokens = self.values['tokens']
	networkScreen:GetRun():GetTokens():Remove(tokens)

end

-- =======================================================================

function evasion:GetDescription()

	local tokens = self.values['tokens']
	return strFormat("Spend %d[T]", tokens)

end

