
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'common:relationship:leave-when-low',
	impulse = EventImpulse.Tick,
	format = EventFormat.Show
}

-- =======================================================================

function event:GetChance()
	
	local character = self.character
	local relationship = character:GetRelationship():GetValue()

	return (-5 - relationship) / 35

end

-- =======================================================================

function event:Run()

	local character = self.character
	character:Leave()

end

