
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'shadowrunner:housebreak:start',
	impulse = EventImpulse.Tick,
	chance = 0.15,
	format = EventFormat.Selection,
	cooldown = 5,
	choices = { 'accept', 'dismiss' }
}

-- =======================================================================

function event:MeetsPrerequisites()

	local character = self.character
	if character:GetOperations():First(function (op) return op:GetID() == 'shadowrunner:housebreak' end) then
		return
	end

	return true
	
end

-- CHOICE: ACCEPT ========================================================
-- =======================================================================

event.choice['accept'].execute = function (self)

	local character = self.character
	character:AddOperation(OperationBuilder:NewInstance('shadowrunner:housebreak', {}):Build())

end

-- CHOICE: DISMISS =======================================================
-- =======================================================================

event.choice['dismiss'].execute = function (self)

	local character = self.character
	character:GetRelationship():Deteriorate(random:IntValue(0, 5))

end


