
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'shadowrunner:housebreak:success',
	impulse = EventImpulse.OperationComplete
}

-- =======================================================================

function event:AcceptsContext (context)

	local character = context['character']
	local operation = context['operation']

	return character == self:GetCharacter() and operation:GetID() == 'shadowrunner:housebreak'

end

-- =======================================================================

function event:Run (context)
	
	local character = self.character
	if luck:Chance(0.65) then

		local e = Event:NewInstance('shadowrunner:housebreak:success-_-hit', {}, character)
		eventQueue:Push(e, {})

	else

		local e = Event:NewInstance('shadowrunner:housebreak:success-_-miss', {}, character)
		eventQueue:Push(e, {})

	end

	character:GetRelationship():Improve(random:IntValue(15, 25))

end

