
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{73750128-630e-4b3e-a865-9b2147ef5214}', 
	name = "Faerie", 
	use = ModuleUse.Subroutine,
	description = "Reveals the selected subroutine.",
	tokens = 1
}

-- =======================================================================

function mod:RunOnSubroutine (subroutine)

	self:CreateEffectOnSubroutine('faerie', subroutine)

end

-- =======================================================================

mod.handlers['reveal'] = function (self, effect)

	local subroutine = effect:GetPivot()
	subroutine:Reveal()

end
