
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{751970ca-e871-4ff2-af33-9b91d0b571de}', 
	name = "Spectre",
	use = ModuleUse.Node,
	nodeClassesLimit = { NodeClass.Router },
	description = "Breaches the selected node.",
	traits = { ModuleTrait.Subtle, ModuleTrait.Undetectable },
	tokens = 3
}

-- =======================================================================

function mod:RunOnNode (node)

	self:CreateEffectOnNode('spectre', node)

end

-- =======================================================================

mod.handlers['breach'] = function (self, effect)

	local node = effect:GetPivot()
	node:Breach(BreachContext.new({ undetectable = true }))

end

