
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{461c104a-b0a3-4701-9c5a-19f4a9c21ccb}', 
	name = "_008", 
	use = ModuleUse.Node,
	description = "Reveals the selected node and all the connected nodes and detects all nodes within two connections. {_008} can be used on any visible node.",
	minNodeVisibility = NodeVisibility.Layout,
	tokens = 2
}

-- =======================================================================

function mod:RunOnNode (node)
	
	self:CreateEffectOnNode('_008', node)

end

-- =======================================================================

mod.handlers['reveal'] = function (self, effect)

	local node = effect:GetPivot()
	
	local network = self.network
	network:ExtendVision(node, { [NodeVisibility.Layout] = 2, [NodeVisibility.Class] = 1 })

end

