
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{d1b08a21-51cf-4b8c-bbad-2396aab9b0d5}', 
	name = "Spearhead", 
	use = ModuleUse.Node,
	nodeClassesLimit = { NodeClass.Router },
	description = "Removes all the Perimeter protections on the selected node and then breaches the nodes.",
	tokens = 4
}

-- =======================================================================

function mod:RunOnNode (node)

	self:CreateEffectOnNode('spearhead', node)

end

-- =======================================================================

mod.handlers['breach'] = function (self, effect)

	local node = effect:GetPivot()
	node:Breach(BreachContext.new({ circumventPerimeter = true }))

end

