
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{da2db277-fcf2-4dac-bcdd-379d4c61fe22}', 
	name = "Siren", 
	use = ModuleUse.Subroutine,
	description = "Reveals the selected subroutine. Alerts the host node.",
	tokens = 0
}

-- =======================================================================

function mod:RunOnSubroutine (subroutine)

	self:CreateEffectOnSubroutine('siren', subroutine)

end

-- =======================================================================

mod.handlers['alert'] = function (self, effect)

	local subroutine = effect:GetPivot()
	subroutine:GetHost():Alert()

end

-- =======================================================================

mod.handlers['reveal'] = function (self, effect)

	local subroutine = effect:GetPivot()
	subroutine:Reveal()

end

