
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{9c54e5c4-26d3-418c-ae3c-8b927ec14b70}', 
	name = "Tempest",
	use = ModuleUse.Node,
	nodeClassesLimit = { NodeClass.Router },
	description = "Breaches the selected node. Alerts the node twice.",
	traits = { ModuleTrait.Impact },
	tokens = 2
}

-- =======================================================================

function mod:RunOnNode (node)

	self:CreateEffectOnNode('tempest', node)

end

-- =======================================================================

mod.handlers['breach'] = function (self, effect)

	local node = effect:GetPivot()
	node:Breach(BreachContext.new({ impact = true }))

end

-- =======================================================================

mod.handlers['alert'] = function (self, effect)

	local node = effect:GetPivot()
	node:Alert(2)

end

