
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{535a8ece-f25d-4aff-b022-379f3723aaae}', 
	name = "Redthorn", 
	use = ModuleUse.Subroutine,
	description = "Breaks the selected subroutine.",
	traits = { ModuleTrait.Undetectable },
	tokens = 2
}

-- =======================================================================

function mod:RunOnSubroutine (subroutine)
	
	self:CreateEffectOnSubroutine('redthorn', subroutine)

end

-- =======================================================================

mod.handlers['break'] = function (self, effect)

	local subroutine = effect:GetPivot()
	subroutine:Break(BreakContext.new({ undetectable = true }))

end

