
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{10b6dbd9-48d5-46a2-9f98-e55c490c765b}', 
	name = "Switchblade", 
	use = ModuleUse.Subroutine,
	description = "Breaks the selected subroutine. Alerts the host node.",
	tokens = 1
}

-- =======================================================================

function mod:RunOnSubroutine (subroutine)

	self:CreateEffectOnSubroutine('switchblade', subroutine)

end

-- =======================================================================

mod.handlers['break'] = function (self, effect)

	local subroutine = effect:GetPivot()
	subroutine:Break(BreakContext.new({}))

end

-- =======================================================================

mod.handlers['alert'] = function (self, effect)

	local subroutine = effect:GetPivot()
	subroutine:GetHost():Alert()

end

