
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{577bd6d4-aaef-4d75-98b5-f4d64d56c5ec}', 
	name = "Stiletto", 
	use = ModuleUse.Subroutine,
	description = "Breaks the selected subroutine.",
	tokens = 1
}

-- =======================================================================

function mod:RunOnSubroutine (subroutine)

	self:CreateEffectOnSubroutine('stiletto', subroutine)

end

-- =======================================================================

mod.handlers['break'] = function (self, effect)

	local subroutine = effect:GetPivot()
	subroutine:Break(BreakContext.new({}))

end
