
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local builder = OperationBuilder:NewClass
{
	ID = 'kita-adachi:intruder-punishment',
	description = "(...)"
}

-- =======================================================================

function builder:CreateCoordinate()

	return Coordinate.new({ rank = random:IntValue(4, 5), index = random:IntValue(1, 2) })

end

-- =======================================================================

-- [Base operation builder override]
function builder:Construct()

	local condition = PayloadCondition:NewInstance('access-all-node-class', { class = NodeClass.Database })
	local payload = Payload.new(condition, random:IntValue(2, 4))

	self:SetPayload(payload)

end

