
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local builder = OperationBuilder:NewClass
{
	ID = 'shadowrunner:housebreak',
	description = "Disable the cameras while the shadowrunner breaks-and-enters into the riverside villa."
}

-- =======================================================================

function builder:CreateCoordinate()

	return Coordinate.new({ rank = random:IntValue(3, 4), index = 6 })

end

-- =======================================================================

-- [Base operation builder override]
function builder:Construct()

	local condition = PayloadCondition:NewInstance('breach-all', {})
	local payload = Payload.new(condition, random:IntValue(2, 4))

	self:SetPayload(payload)

end

