
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local builder = OperationBuilder:NewClass
{
	ID = 'shadowrunner:weapon-source-code',
	description = "Secure the Markov 86A internal drivers source code"
}

-- =======================================================================

function builder:CreateCoordinate()

	return Coordinate.new({ organisation = 'markov', rank = random:IntValue(7, 9), index = random:IntValue(3, 4) })

end

-- =======================================================================

-- [Base operation builder override]
function builder:Construct()

	self:AddTargets(OperationTargetClass.Data, random:IntValue(1, 3))

end

