
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local subroutine = Subroutine:NewClass
{
	ID = 'break-_-alert-connected',
	description = "Break a subroutine >> Alert connected nodes",
	traits = 
	{ 
		SubroutineTrait.Alert,
		SubroutineTrait.Break
	}
}

-- =======================================================================

subroutine.reactions[SubroutineImpulse.Break] = function (self)
	
	for node in self.host:GetConnectedNodes(NodeClass.Router):Each() do
		node:Alert()
	end

end

