
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local subroutine = Subroutine:NewClass
{
	ID = 'break-_-alert',
	traits = 
	{ 
		SubroutineTrait.Alert,
		SubroutineTrait.Break
	}
}

-- =======================================================================

function subroutine:GetDescription()

	local alerts = self.values['alerts']

	if alerts == 1 then
		return "Break a subroutine >> Alert"
	end

	if alerts == 2 then
		return "Break a subroutine >> Alert twice"
	end

	error("Could not build the appropriate subroutine description.")

end

-- =======================================================================

subroutine.reactions[SubroutineImpulse.Break] = function (self)

	self.host:Alert(self.values['alerts'])

end
