
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

InputFile = {}
InputFile.__index = InputFile

-- =======================================================================

function InputFile.new (path)

	local new = {}
	setmetatable(new, InputFile)

	new.loveFile = love.filesystem.newFile(path)
	assert(new.loveFile:open('r'), strFormat("Failed to open '%s'.", path))

	return new

end

-- =======================================================================

function InputFile:EachLine()

	return self.loveFile:lines()

end

-- =======================================================================

function InputFile:GetContents()
	
	return self.loveFile:read()

end

-- =======================================================================

function InputFile:Close()
	
	self.loveFile:close()

end

