
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Backstories = {}
Backstories.__index = Backstories

-- =======================================================================

function Backstories.new()

	local new = {}
	setmetatable(new, Backstories)
	
	new.backstories = Collection.new()
	new:Init()

	return new

end

-- =======================================================================

function Backstories:Init()
	
	self:InitBackstory('ex-halrow')
	self:InitBackstory('good-old-banshee')
	self:InitBackstory('irresistible')
	self:InitBackstory('rainy-day-fund')
	self:InitBackstory('shadow-friend')
	self:InitBackstory('street-contacts')
	self:InitBackstory('totemic-charm-tattoo')

end

-- =======================================================================

function Backstories:InitBackstory (ID)
	
	local back = Backstory:NewInstance(ID)
	self.backstories:Add(back)

end

-- =======================================================================

function Backstories:GetBackstories()
	
	return self.backstories

end

