
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

DeckAspect = {}
DeckAspect.__index = DeckAspect

-- =======================================================================

function DeckAspect.new (xmlRoot)

	local new = {}
	setmetatable(new, DeckAspect)
	
	new:LoadFromXML(xmlRoot)

	return new

end

-- =======================================================================

function DeckAspect:LoadFromXML (xmlRoot)

	self.trait = DeckTrait:FromStr(xmlRoot:GetAttribute('trait'))
	self.values = Values.newFromXML(xmlRoot)

end

-- EXPOSE ================================================================
-- =======================================================================

function DeckAspect:GetTrait()
	
	return self.trait

end

-- =======================================================================

function DeckAspect:GetValues()
	
	return self.values

end

