
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

EvaluatedNarrative = {}
EvaluatedNarrative.__index = EvaluatedNarrative

-- =======================================================================

function EvaluatedNarrative.new()

	local new = {}
	setmetatable(new, EvaluatedNarrative)
	
	new.clauses = Collection.new()
	new.rewards = Collection.new()

	return new

end

-- =======================================================================

function EvaluatedNarrative:AddClause (clause)
	
	self.clauses:Add(clause)

end

-- =======================================================================

function EvaluatedNarrative:AddReward (reward)
	
	self.rewards:Add(reward)

end

-- ... ===================================================================
-- =======================================================================

function EvaluatedNarrative:GetClauses()
	
	return self.clauses

end

-- =======================================================================

function EvaluatedNarrative:GetRewards()
	
	return self.rewards

end


