
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

EvaluatedReward_Credits = {}
EvaluatedReward_Credits.__index = EvaluatedReward_Credits

-- =======================================================================

setmetatable(EvaluatedReward_Credits, EvaluatedReward)

-- =======================================================================

function EvaluatedReward_Credits.new (reward, amount)

	local new = EvaluatedReward.new(reward)
	setmetatable(new, EvaluatedReward_Credits)

	new.amount = amount

	return new

end

-- ... ===================================================================
-- =======================================================================

-- [Base Evaluated reward override]
function EvaluatedReward_Credits:Give()

	credits:Add(self.amount)

end

-- EXPOSE ================================================================
-- =======================================================================

function EvaluatedReward_Credits:GetAmount()
	
	return self.amount

end

