
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

InvasiveContext = {}
InvasiveContext.__index = InvasiveContext

-- =======================================================================

function InvasiveContext.new (context)

	local new = {}
	setmetatable(new, InvasiveContext)
	
	new.impact = context.impact
	new.undetectable = context.undetectable

	return new

end

-- =======================================================================

function InvasiveContext:IsUndetectable()
	
	return self.undetectable

end

-- =======================================================================

function InvasiveContext:HasImpact()
	
	return self.impact

end

