
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Kernel = Entity.new()
Kernel.__index = Kernel

-- =======================================================================

function Kernel:__class_setup__ (params)

	self.maxTokens = assert(params.maxTokens, strFormat("Kernel '%s' doesn't have its maximum token count declared.", params.ID))
	self.startTokens = assert(params.startTokens, strFormat("Kernel '%s' doesn't have its start token count declared.", params.ID))

end

-- =======================================================================

function Kernel:new()

	local new = {}
	setmetatable(new, self)

	return new

end

-- EXPOSE ================================================================
-- =======================================================================

function Kernel:GetMaxTokens()
	
	return self.maxTokens

end

-- =======================================================================

function Kernel:GetStartTokens()
	
	return self.startTokens

end
