
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Mark = Entity.new()
Mark.__index = Mark

-- =======================================================================

function Mark:__class_setup__ (params)

	self.reactions = Map.new()

end

-- =======================================================================

function Mark:new()

	local new = {}
	setmetatable(new, self)
	
	return new

end

-- REACTIONS =============================================================
-- =======================================================================

function Mark:React (impulse, context)
	
	local reaction = self.reactions[impulse]
	if reaction then

		reaction(self, context)

	end

end

-- EXPOSE ================================================================
-- =======================================================================

function Mark:GetHost()
	
	return self.host

end

