
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz
	
NetPlanSubroutine = {}
NetPlanSubroutine.__index = NetPlanSubroutine

-- =======================================================================

function NetPlanSubroutine.new()

	local new = {}
	setmetatable(new, NetPlanSubroutine)
	
	return new

end

-- XML ===================================================================
-- =======================================================================

function NetPlanSubroutine.newFromXML (xmlRoot)

	local new = NetPlanSubroutine.new()

	new.ID = xmlRoot:GetRequiredAttribute('ID')
	new.stealth = xmlRoot:GetAttribute('stealth') == true
	
	new.values = Values.newFromXML(xmlRoot)
	
	return new

end

-- EXPOSE ================================================================
-- =======================================================================

function NetPlanSubroutine:GetID()

	return self.ID

end

-- =======================================================================

function NetPlanSubroutine:GetStealth()

	return self.stealth

end

-- =======================================================================

function NetPlanSubroutine:GetValues()
	
	return self.values

end

