
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

PayloadCondition = Entity.new()
PayloadCondition.__index = PayloadCondition

-- =======================================================================

function PayloadCondition:__class_setup__ (params)

	self.text = params.text

end

-- =======================================================================

function PayloadCondition:new (values)

	local new = {}
	setmetatable(new, self)
	
	new.values = values

	return new

end

-- =======================================================================

function PayloadCondition:BindNetwork (network)

	self.network = network

end

-- =======================================================================

--[[ Condition classes can override this ]]
function PayloadCondition:GetText()
	
	return self.text

end

