
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Probe = {}
Probe.__index = Probe

-- =======================================================================

function Probe.new()

	local new = {}
	setmetatable(new, Probe)
	
	new.countdown = Countdown.new(random:Value(4, 8))
	
	return new

end

-- =======================================================================

function Probe:ReceiveTimePulse (pulse)

	self.countdown:ReceiveTimePulse(pulse)

end

-- =======================================================================

function Probe:IsComplete()

	return self.countdown:IsComplete()

end

