
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Reward_Credits = {}
Reward_Credits.__index = Reward_Credits

-- =======================================================================

setmetatable(Reward_Credits, Reward)

-- =======================================================================

function Reward_Credits.new (xmlRoot)

	local new = Reward.new()
	setmetatable(new, Reward_Credits)

	new:LoadFromXML(xmlRoot)

	return new

end

-- =======================================================================

function Reward_Credits:LoadFromXML (xmlRoot)
	
	self.amount = xmlRoot:GetRequiredAttribute('amount')

end

-- ... ===================================================================
-- =======================================================================

function Reward_Credits:Evaluate()

	return EvaluatedReward_Credits.new(self, self.amount)

end

