
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

SkinFontData = {}
SkinFontData.__index = SkinFontData

-- =======================================================================

function SkinFontData.new (xmlRoot)

	local new = {}
	setmetatable(new, SkinFontData)
	
	new:LoadFromXML(xmlRoot)

	return new

end

-- =======================================================================

function SkinFontData:LoadFromXML (xmlRoot)
	
	self.sourceFontFile = xmlRoot:GetRequiredAttribute('sourceFontFile')
	self.size = xmlRoot:GetRequiredAttribute('size')

end

-- EXPOSE ================================================================
-- =======================================================================

function SkinFontData:GetSourceFontFile()

	return self.sourceFontFile

end

-- =======================================================================

function SkinFontData:GetSize()

	return self.size

end

