
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local achievement = Achievement:NewClass
{
	ID = '_003',
	description = "Have a Solid relationship with at least three characters at the same time"
}

-- =======================================================================

achievement.reactions[AchievementImpulse.RelationshipImprovement] = function (self, context)

	local minStatus = relationshipStatuses:GetStatus('solid')
	local hasRequiredRelationship = function (c) return c:GetRelationship():GetStatus() >= minStatus end

	if #characters:GetCharacters():Select(hasRequiredRelationship) >= 3 then

		self:Complete()

	end

end

