
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local builder = CharacterBuilder:NewClass
{
	ID = 'kita-adachi:executive',
	role = 'corporate-executive',
	affilitation = 'kita-adachi'
}

-- =======================================================================

-- [Base Character builder override]
function builder:Construct()

	local character = self.character

	local details = self.details
	local values = character:GetValues()
	values['rank'] = details['rank']

	character:NewEvent('kita-adachi:competitor-research:start', {})
	character:NewEvent('kita-adachi:competitor-research:success', {})
	character:NewEvent('kita-adachi:competitor-research:fail', {})

	character:NewEvent('kita-adachi:intruder-punishment:start', {})
	character:NewEvent('kita-adachi:intruder-punishment:success', {})
	character:NewEvent('kita-adachi:intruder-punishment:fail', {})

end

