
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local effect = Effect:NewClass
{ 
	ID = 'helix-_-center',
	events = 
	{
		{ ID = 'clear', time = 0.5 }
	}
}

-- =======================================================================

function effect:Draw (screenX, screenY)

	if self.sprite == nil then

		self.sprite = love.graphics.newImage('assets/sprites/modules/lotus_02.png')

	end

	local spriteSizeX = self.sprite:getWidth()
	local spriteSizeY = self.sprite:getHeight()

	local sizeX = 192
	local sizeY = 192

	local time = self.time

	local rot = -time * math.pi / 1
	local alpha = 232 - math.min(time / 1, 1) * 64

	love.graphics.setColor(64, 232, 64, alpha)
	love.graphics.draw(self.sprite, screenX, screenY, rot, sizeX/spriteSizeX, sizeY/spriteSizeY, spriteSizeX/2, spriteSizeY/2)

end

