
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'botched-operation:operation-2-success',
	impulse = EventImpulse.OperationComplete,
	format = EventFormat.Selection,
	choices = { 'accept', 'dismiss' }
}

-- CONTEXT ===============================================================
-- =======================================================================

function event:AcceptsContext (context)

	local operation = context['operation']
	return operation:GetID() == 'botched-operation:operation-2'

end

-- CHOICE: ACCEPT ========================================================
-- =======================================================================

event.choice['accept'].execute = function (self)

	local character = self:GetCharacter()
	character:AddOperation(OperationBuilder:NewInstance('botched-operation:operation-3', {}):Build())

end

