
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'halrow-lamarche:administrator:introduction:administrator',
	impulse = EventImpulse.Tick,
	chance = 0.1,
	maxExecutionCount = 1,
	cooldown = 12,
	format = EventFormat.Show
}

-- =======================================================================

function event:MeetsPrerequisites()

	local character = self.character
	return character:GetRelationship():GetValue() > 45

end

-- =======================================================================

function event:BuildTextValues()
	
	local stash = self:GetStash()
	local character = stash['character']

	return Values.new{ whom = character:GetName():GetNominative() }

end

-- =======================================================================

function event:Run (context)
	
	local new = characters:AddCharacterFromBuilder('halrow-lamarche:administrator')
	
	local stash = self:GetStash()
	stash['character'] = new

end

