
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'kita-adachi:competitor-research:start',
	impulse = EventImpulse.Tick,
	chance = 0.15,
	cooldown = 4,
	format = EventFormat.Selection,
	choices = { 'accept', 'dismiss' }
}

-- CHOICE: ACCEPT ========================================================
-- =======================================================================

event.choice['accept'].execute = function (self)

	local character = self.character

	local rank = character:GetValues()['rank']
	character:AddOperation(OperationBuilder:NewInstance('kita-adachi:competitor-research', { rank = rank }):Build())

end

