
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'shadowrunner:weapon-source-code:fail',
	impulse = EventImpulse.OperationFail,
	format = EventFormat.Show
}

-- =======================================================================

function event:AcceptsContext (context)

	local character = context['character']
	local operation = context['operation']

	return character == self:GetCharacter() and operation:GetID() == 'shadowrunner:weapon-source-code'

end

-- =======================================================================

function event:Run (context)
	
	local character = self.character
	character:GetRelationship():Deteriorate(random:IntValue(5, 15))

end

