
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'shadowrunner:weapon-source-code:start',
	impulse = EventImpulse.Tick,
	chance = 0.25,
	format = EventFormat.Selection,
	maxExecutionCount = 1,
	choices = { 'accept', 'dismiss' }
}

-- =======================================================================

function event:MeetsPrerequisites()

	local character = self.character
	return character:GetRelationship():GetValue() > 5

end

-- CHOICE: ACCEPT ========================================================
-- =======================================================================

event.choice['accept'].execute = function (self)

	local character = self.character
	character:AddOperation(OperationBuilder:NewInstance('shadowrunner:weapon-source-code', {}):Build())

end

-- CHOICE: DISMISS =======================================================
-- =======================================================================

event.choice['dismiss'].execute = function (self)

	local character = self.character
	character:GetRelationship():Deteriorate(random:IntValue(0, 5))

end
