
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'street:introduction:hardware-vendor',
	format = EventFormat.Show
}

-- =======================================================================

function event:BuildTextValues()
	
	local stash = self:GetStash()
	local character = stash['character']

	return Values.new{ whom = character:GetName():GetNominative() }

end

-- =======================================================================

function event:Run (context)
	
	local new = characters:AddCharacterFromBuilder('street:hardware-vendor', { chip_rank = random:IntValue(1, 3), console_rank = random:IntValue(1, 2) })
	
	local stash = self:GetStash()
	stash['character'] = new

end

