
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local event = Event:NewClass
{
	ID = 'street:introduction:module-dealer',
	format = EventFormat.Show
}

-- =======================================================================

function event:BuildTextValues()
	
	local stash = self:GetStash()
	local character = stash['character']

	return Values.new{ whom = character:GetName():GetNominative() }

end

-- =======================================================================

function event:Run (context)
	
	local new = characters:AddCharacterFromBuilder('street:module-dealer', { rank = random:IntValue(1, 3) })
	
	local stash = self:GetStash()
	stash['character'] = new

end

