
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{597f7d8e-948d-45b6-9844-2a433ec3e8eb}', 
	name = "Kitami", 
	use = ModuleUse.Node,
	nodeClassesLimit = { NodeClass.Router },
	description = "Generates 1[T]. Alerts the selected node twice.",
	traits = { ModuleTrait.Subtle }
}

-- =======================================================================

function mod:RunOnNode (node)

	self:CreateEffectOnNode('kitami', node)

end

-- =======================================================================

mod.handlers['alert'] = function (self, effect)

	local node = effect:GetPivot()
	node:Alert(2)

end

-- =======================================================================

mod.handlers['tokens'] = function (self, effect)

	networkScreen:GetRun():GetTokens():Add(1)

end
