
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{6064bbf6-c071-4718-b882-77f19b549d1e}', 
	name = "Genesis", 
	use = ModuleUse.Node,
	nodeClassesLimit = { NodeClass.Router },
	description = "Installs a coroutine: Generates 1[T] whenever an User Terminal is accessed.",
	traits = { ModuleTrait.Coroutine, ModuleTrait.Subtle },
	tokens = 4
}

-- =======================================================================

function mod:RunOnNode (node)

	self:CreateEffectOnNode('coroutine', node)

end

-- =======================================================================

mod.handlers['install'] = function (self, effect)

	local node = effect:GetPivot()
	self:CreateCoroutine(node, '{6d702850-d031-44d7-a751-7a856ac4094d}')

end
