
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{932d9ecf-6668-482c-854d-8addae02a8dc}', 
	name = "Resequencer", 
	use = ModuleUse.Instant,
	description = "Terminates Trace. Removes all your deck's current [T].",
	tokens = 4
}

-- =======================================================================

function mod:Run()

	self:CreateEffect('resequencer')

end

-- =======================================================================

mod.handlers['trace-termination'] = function (self, effect)

	local network = self.network
	network:StopTrace()

	local tokens = networkScreen:GetRun():GetTokens()
	tokens:Clear()

end

