
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{aeec997f-32df-4c1e-8140-6715a7745d27}', 
	name = "DEAD10CC", 
	use = ModuleUse.Instant,
	description = "Unlocks all currently locked Modules.",
	tokens = 1
}

-- =======================================================================

function mod:Run()

	self:CreateEffect('DEAD10CC', node)

end

-- =======================================================================

mod.handlers['unlock'] = function (self, effect)

	local run = networkScreen:GetRun()
	for _, module in run:GetModules():EachNotBlank() do

		if module:IsLocked() then

			module:Unlock()

		end

	end

end

