
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{6e8ad689-8ae7-48cc-b972-0b4cf5bf9bf2}', 
	name = "Reaper", 
	use = ModuleUse.Subroutine,
	description = "Breaks the selected subroutine.",
	traits = { ModuleTrait.Impact },
	tokens = 2
}

-- =======================================================================

function mod:RunOnSubroutine (subroutine)
	
	self:CreateEffectOnSubroutine('reaper', subroutine)

end

-- =======================================================================

mod.handlers['break'] = function (self, effect)

	local subroutine = effect:GetPivot()
	subroutine:Break(BreakContext.new({ impact = true }))

end

