
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{cdf02363-e421-4ec0-8445-d40647549781}', 
	name = "Caspian",
	use = ModuleUse.Node,
	nodeClassesLimit = { NodeClass.Router },
	description = "Breaches the selected node.",
	tokens = 3
}

-- =======================================================================

function mod:RunOnNode (node)

	self:CreateEffectOnNode('caspian', node)

end

-- =======================================================================

mod.handlers['breach'] = function (self, effect)

	local node = effect:GetPivot()
	node:Breach(BreachContext.new({}))

end
