
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local mod = Module:NewClass
{ 
	ID = '{11d727cf-9544-4b10-b0e4-9f890825619b}', 
	name = "Titan",
	use = ModuleUse.Node,
	nodeClassesLimit = { NodeClass.Router },
	description = "Breaches the selected node.",
	tokens = 2
}

-- =======================================================================

function mod:RunOnNode (node)

	self:CreateEffectOnNode('titan', node)

end

-- =======================================================================

mod.handlers['breach'] = function (self, effect)

	local node = effect:GetPivot()
	node:Breach(BreachContext.new({}))

end
