
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local builder = OperationBuilder:NewClass
{
	ID = 'halrow-lamarche:account-siphon',
	description = "Secure the control credit hashes."
}

-- =======================================================================

function builder:CreateCoordinate()

	return Coordinate.new({ organisation = 'halrow-lamarche', rank = random:IntValue(6, 8), index = random:IntValue(3, 5) })

end

-- =======================================================================

-- [Base operation builder override]
function builder:Construct()

	local condition = PayloadCondition:NewInstance('access-all-node-class', { class = NodeClass.Database })
	local payload = Payload.new(condition, random:IntValue(24, 32))

	self:SetPayload(payload)

end

