
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local subroutine = Subroutine:NewClass
{
	ID = 'breach-_-alert-connected',
	description = "Breach >> Alert connected nodes",
	traits = 
	{ 
		SubroutineTrait.Alert,
		SubroutineTrait.Breach
	}
}

-- =======================================================================

subroutine.reactions[SubroutineImpulse.Breach] = function (self)
	
	for node in self.host:GetConnectedNodes(NodeClass.Router):Each() do
		node:Alert()
	end

end

