
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local subroutine = Subroutine:NewClass
{
	ID = 'break-_-lose-tokens',
	traits = 
	{ 
		SubroutineTrait.Break,
		SubroutineTrait.LoseTokens
	}
}

-- =======================================================================

subroutine.reactions[SubroutineImpulse.Break] = function (self)

	local tokens = networkScreen:GetRun():GetTokens()
	tokens:Remove(self.values['tokens'])

end

-- =======================================================================

function subroutine:GetDescription()

	return strFormat("Break a subroutine >> Lose %d[T]", self.values['tokens'])

end

