
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

local subroutine = Subroutine:NewClass
{
	ID = 'spread-trace',
	description = "Dispatches Trace immediately"
}

-- =======================================================================

subroutine.reactions[SubroutineImpulse.Trace] = function (self)

	local network = self.host:GetNetwork()
	if not network:RunsTrace() then

		return

	end

	local trace = network:GetTrace()
	trace:Spread(self.host)

end

