
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

DevConsoleVar = {}
DevConsoleVar.__index = DevConsoleVar

-- =======================================================================

function DevConsoleVar.new (name, value)

	local new = {}
	setmetatable(new, DevConsoleVar)

	new.name = name
	new.value = value

	return new

end

-- =======================================================================

function DevConsoleVar:SetValue (value)
	
	value = tonumber(value) or value
	self.value = value

end

-- =======================================================================

function DevConsoleVar:GetValue()
	
	return self.value

end

-- =======================================================================

function DevConsoleVar:IsEnabled()

	return self.value ~= nil and self.value ~= 0

end

