
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

EvaluatedClause = {}
EvaluatedClause.__index = EvaluatedClause

-- =======================================================================

function EvaluatedClause.new (clause, values)

	local new = {}
	setmetatable(new, EvaluatedClause)

	new.kind = clause:GetKind()
	new.text = clause:GetText():Evaluate(values)

	return new

end

-- EXPOSE ================================================================
-- =======================================================================

function EvaluatedClause:GetText()
	
	return self.text

end

-- =======================================================================

function EvaluatedClause:GetKind()

	return self.kind

end

