
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

EvaluatedReward = {}
EvaluatedReward.__index = EvaluatedReward

-- =======================================================================

function EvaluatedReward.new (reward)

	local new = {}
	setmetatable(new, EvaluatedReward)

	new.class = reward:GetClass()

	return new

end

-- =======================================================================

-- [Evaluated reward classes can override this]
function EvaluatedReward:Give()
	
	error("Evaluated reward class doesn't implement the Give() method.")

end

-- =======================================================================

function EvaluatedReward:GetClass()
	
	return self.class

end

