
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

EventChoiceDispatcher = {}
EventChoiceDispatcher.__index = EventChoiceDispatcher

-- =======================================================================

function EventChoiceDispatcher.new()
	
	local new = Map.new()
	setmetatable(new, EventChoiceDispatcher)

	return new

end

-- =======================================================================

function EventChoiceDispatcher:IsImplementedForChoice (choiceID)

	return self[choiceID] ~= nil

end

-- =======================================================================

function EventChoiceDispatcher:Invoke (choiceID, event)
	
	return self[choiceID](event)

end

