
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

EventOption = {}
EventOption.__index = EventOption

-- =======================================================================
		
function EventOption.new (ID, caption, cost)

	local new = {}
	setmetatable(new, EventOption)

	new.ID = ID
	new.caption = caption
	new.cost = cost
	
	return new

end

-- =======================================================================

function EventOption:GetID()

	return self.ID

end

-- =======================================================================

function EventOption:GetCaption()

	return self.caption

end

-- =======================================================================

function EventOption:HasCost()
	
	return self.cost ~= nil

end

-- =======================================================================

function EventOption:GetCost()

	return self.cost

end

