
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Item = {}
Item.__index = Item

-- =======================================================================

function Item.new (class, item, price)

	local new = {}
	setmetatable(new, Item)
	
	new.class = class
	new.item = item
	new.price = price

	return new

end

-- =======================================================================

function Item:GetClass()
	
	return self.class

end

-- =======================================================================

function Item:GetItem()
	
	return self.item

end

-- =======================================================================

function Item:GetPrice()
	
	return self.price

end

