
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

ItemCollection = {}
ItemCollection.__index = ItemCollection

-- =======================================================================

function ItemCollection.new()

	local new = {}
	setmetatable(new, ItemCollection)
	
	new.items = Collection.new()

	return new

end

-- =======================================================================

function ItemCollection:AddItem (item)

	self.items:Add(item)

end

-- =======================================================================

function ItemCollection:GetItems()
	
	return self.items

end

-- =======================================================================

function ItemCollection:ContainsItem (item)
	
	for i in self.items:Each() do
		if i:GetItem() == item then
			return true
		end
	end

end

