
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Luck = {}
Luck.__index = Luck

-- =======================================================================

function Luck.new()

	local new = {}
	setmetatable(new, Luck)

	new.mod = 1
	
	return new

end

-- =======================================================================

function Luck:Chance (chance)

	chance = 1 - (1-chance) / self.mod
	return random:Chance(chance)

end

-- =======================================================================

function Luck:Mod (mod)

	self.mod = self.mod + mod

end

