
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz
	
NetPlanConnection = {}
NetPlanConnection.__index = NetPlanConnection

-- =======================================================================

function NetPlanConnection.new()

	local new = {}
	setmetatable(new, NetPlanConnection)
	
	return new

end

-- XML ===================================================================
-- =======================================================================

function NetPlanConnection.newFromXML (xmlRoot)

	local new = NetPlanConnection.new()
	
	new.nodeA = xmlRoot:GetRequiredAttribute('nodeA')
	new.nodeB = xmlRoot:GetRequiredAttribute('nodeB')

	return new

end

-- EXPOSE ================================================================
-- =======================================================================

function NetPlanConnection:GetNodeA()
	
	return self.nodeA

end

-- =======================================================================

function NetPlanConnection:GetNodeB()
	
	return self.nodeB

end

