
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz
	
NetPlanGateway = {}
NetPlanGateway.__index = NetPlanGateway

-- =======================================================================

setmetatable(NetPlanGateway, NetPlanNode)

-- =======================================================================

function NetPlanGateway.new()

	local new = NetPlanNode.new()
	setmetatable(new, NetPlanGateway)
	
	return new

end

-- XML ===================================================================
-- =======================================================================

function NetPlanGateway.newFromXML (xmlRoot)

	local new = NetPlanGateway.new()
	new:LoadBaseNodeDataFromXML(xmlRoot)
	
	new.coordinate = xmlRoot:GetRequiredAttribute('coordinate')
	
	return new

end

-- EXPOSE ================================================================
-- =======================================================================

function NetPlanGateway:GetCoordinate()
	
	return self.coordinate

end

