
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz
	
NetPlanTrace = {}
NetPlanTrace.__index = NetPlanTrace

-- =======================================================================

function NetPlanTrace.new()

	local new = {}
	setmetatable(new, NetPlanTrace)
	
	return new

end

-- XML ===================================================================
-- =======================================================================

function NetPlanTrace.newFromXML (xmlRoot)

	local new = NetPlanTrace.new()
	
	new.durationBase = xmlRoot:GetRequiredAttribute('durationBase')
	new.durationIncrement = xmlRoot:GetRequiredAttribute('durationIncrement')

	return new

end

-- EXPOSE ================================================================
-- =======================================================================

function NetPlanTrace:GetDurationBase()
	
	return self.durationBase

end

-- =======================================================================

function NetPlanTrace:GetDurationIncrement()
	
	return self.durationIncrement

end

