
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Role = {}
Role.__index = Role

-- =======================================================================

function Role.new (xmlRoot)

	local new = {}
	setmetatable(new, Role)
	
	new:LoadFromXML(xmlRoot)
	
	return new

end

-- =======================================================================

function Role:LoadFromXML (xmlRoot)

	self.ID = xmlRoot:GetRequiredAttribute('ID')
	self.text = xmlRoot:GetRequiredAttribute('text')

end

-- EXPOSE ================================================================
-- =======================================================================

function Role:GetID()

	return self.ID

end

-- =======================================================================

function Role:GetText()

	return self.text

end

