
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Tickdown = {}
Tickdown.__index = Tickdown

-- =======================================================================

function Tickdown.new (ticks)

	local new = {}
	setmetatable(new, Tickdown)

	new.ticks = ticks
	
	return new

end

-- =======================================================================

function Tickdown:ReceiveTick()

	self.ticks = math.max(self.ticks-1, 0)

end

-- =======================================================================

function Tickdown:GetTicks()

	return self.ticks

end

-- =======================================================================

function Tickdown:IsComplete()

	return self.ticks == 0

end

