
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Ticker = {}
Ticker.__index = Ticker

-- =======================================================================

function Ticker.new()

	local new = {}
	setmetatable(new, Ticker)

	new.pulse = 0
	
	return new

end

-- =======================================================================

function Ticker:Tick()
	
	characters:ReceiveTick()
	eventStarter:ReceiveTick()

	eventStarter:ReceiveImpulse(EventImpulse.Tick)
	
end

-- =======================================================================

function Ticker:ReceivePulse (pulse)

	self.pulse = self.pulse + pulse
	
	local pulsesPerTick = 100
	while self.pulse >= pulsesPerTick do
	
		self.pulse = self.pulse - pulsesPerTick
		self:Tick()
	
	end

end

