
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

PivotRender = {}
PivotRender.__index = PivotRender

-- =======================================================================

setmetatable(PivotRender, NodeRender)

-- =======================================================================

function PivotRender.new (node)

	local new = NodeRender.new(node)
	setmetatable(new, PivotRender)

	return new

end

-- =======================================================================

function PivotRender:Draw (screenX, screenY)

	local node = self.node

	--[[
	if not node:IsVisible() then
		return
	end
	]]

	self:SetupRenderColor()

	local drawMode = 'line'

	--[[
	if node:IsAccessed() then
		drawMode = 'fill'
	else
		drawMode = 'line'
	end	
	]]
		
	local size = 4			

	love.graphics.setLineWidth(1)
	love.graphics.circle(drawMode, screenX, screenY, size, 8)

end

