
-- (c) 2015 Martin Ziegler
-- martin.ziegler@outlook.cz

Stack = {}

-- =======================================================================

function Stack.new()

	local new = {}
	setmetatable(new, Stack)

	return new

end

-- DISPATCH ==============================================================
-- =======================================================================

function Stack.__index (collection, index)

	return Stack[index]

end

-- METHODS ===============================================================
-- =======================================================================

function Stack:Push (value)

	table.insert(self, value)

end 

-- =======================================================================

function Stack:Pop()

	local v = self[#self]
	table.remove(self, #self)

	return v

end 

